Package org.eclipse.handly.util

## Enum ToStringOptions.FormatStyle

- java.lang.Object
- - java.lang.Enum<ToStringOptions.FormatStyle>
  - - org.eclipse.handly.util.ToStringOptions.FormatStyle

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ToStringOptions.FormatStyle>`
  Enclosing class:
    ToStringOptions

      public static enum ToStringOptions.FormatStyle
      extends java.lang.Enum<ToStringOptions.FormatStyle>

  Enumeration of the style of textual representation of an object.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FULL` | Full text style, with the most detail.
    `LONG` | Long text style, with lots of detail.
    `MEDIUM` | Medium text style, with some detail.
    `SHORT` | Short text style, with the least detail.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ToStringOptions.FormatStyle` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ToStringOptions.FormatStyle[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final ToStringOptions.FormatStyle FULL

      Full text style, with the most detail.

    - #### LONG

          public static final ToStringOptions.FormatStyle LONG

      Long text style, with lots of detail.

    - #### MEDIUM

          public static final ToStringOptions.FormatStyle MEDIUM

      Medium text style, with some detail.

    - #### SHORT

          public static final ToStringOptions.FormatStyle SHORT

      Short text style, with the least detail.

  - ### Method Detail

    - #### values

          public static ToStringOptions.FormatStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ToStringOptions.FormatStyle c : ToStringOptions.FormatStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ToStringOptions.FormatStyle valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null